=== debian/changelog ===
python-wpactrl (1.0.7-1) unstable; urgency=low

  * More build system tweaks.

 -- Kel Modderman <kel@otaku42.de>  Sun, 02 Nov 2008 21:10:04 +1000

python-wpactrl (1.0.6-1) unstable; urgency=low

  * Import updates to build system:
    - conditional support for nosetest test suite
    - fix typo 

 -- Kel Modderman <kel@otaku42.de>  Sun, 02 Nov 2008 07:21:53 +1000

python-wpactrl (1.0.5-1) unstable; urgency=low

  * Fix install arguments for Debian package build, enabling
    optimisation which prevents byte compiling of pyc files.

 -- Kel Modderman <kel@otaku42.de>  Mon, 27 Oct 2008 22:15:23 +1000

python-wpactrl (1.0.4-1) unstable; urgency=low

  * Improve common build system.

 -- Kel Modderman <kel@otaku42.de>  Sun, 26 Oct 2008 22:29:24 +1000

python-wpactrl (1.0.3-1) unstable; urgency=low

  * Import new generic Makefile.

 -- Kel Modderman <kel@otaku42.de>  Sun, 26 Oct 2008 11:44:46 +1000

python-wpactrl (1.0.2-1) unstable; urgency=low

  * Cleanup debian/rules, use dh from debehlper >= 7.
  * Cleanup debian/control.
  * Enhance debian/copyright as per format proposal.

 -- Kel Modderman <kel@otaku42.de>  Thu, 09 Oct 2008 19:15:32 +1000

python-wpactrl (1.0.1-1) unstable; urgency=low

  * Mark ctrl_iface_path and attached instance attributes as readonly.

 -- Kel Modderman <kel@otaku42.de>  Fri, 25 Apr 2008 13:17:03 +1000

python-wpactrl (1.0.0-1) unstable; urgency=low

  * Major version 1.0.0, first release to the wild.
  * Add/enhance doc strings for extension and all methods.
  * Just return None for attach() and detach() methods, they can only fail
    and raise error or succeed.
  * Add Vcs fields to debian/control.
  * Do not hardcode a python version in Makefile.
  * Add DESTDIR support to Makefile.
  * Use upstream Makefile in debian/rules instead of calling setup.py
    directly.
  * Fix lintian error in package debian/control long description by
    capitalizing Python.
  * Add entry for wpactrl.c in debian/copyright, adding original Authour's
    name and copyright statement.
  * Add a .PHONY entry to Makefile, so that 'build' can be called more than
    once, for eg., multiple python versions.
  * Add README file including description and installation blurbs.
  * Add copyright/license information to example.py.
  * Enhance the use of the attached WPACtrl struct member, explicitly checking
    and setting its value.
  * Don't allow an WPACtrl instance to attach() more than once, similarly only
    allow the detach() method to do something if the instance previously
    attach()'d.
  * Remove the isattached() WPACtrl instance method.
  * Remove embedded code example from wpactrl doc string.
  * Expose the attached WPACtrl struct member as an instance data attribute.

 -- Kel Modderman <kel@otaku42.de>  Wed, 23 Apr 2008 13:44:28 +1000

python-wpactrl (0.10.0-2) unstable; urgency=low

  * Update extended package description in debian/control.
  * Add reference to upstream control interface specification to wpactrl.c
    header.

 -- Kel Modderman <kel@otaku42.de>  Tue, 22 Apr 2008 10:20:45 +1000

python-wpactrl (0.10.0-1) unstable; urgency=low

  * Add attached to wpactrl struct, to act as boolean when object as
    registered as event monitor.
  * Add attached() object method to return pythonic boolean based on state of
    attached wpactrl struct member.
  * Reorder the object method heirachy to match that of wpa_ctrl.h more
    closely.
  * Remove check for self->ctrl_iface in each object method, that condition
    cannot be possible since object will raise an exception of
    self->ctrl_iface could not be created at init.
  * Adhere to the CapWords convention for the class name, renaming wpactrl
    class to WPACtrl.

 -- Kel Modderman <kel@otaku42.de>  Mon, 21 Apr 2008 16:40:52 +1000

python-wpactrl (0.9.1-1) unstable; urgency=low

  * Rename wpactrl_dealloc() object method to wpactrl_close().
  * Add wpactrl_attach() and wpactrl_detach() object methods.

 -- Kel Modderman <kel@otaku42.de>  Mon, 21 Apr 2008 03:47:14 +1000

python-wpactrl (0.9.0-1) unstable; urgency=low

  * Don't open two sockets for 2-way communication, one socket returned by
    wpa_ctrl_open() is sufficient for sending and receiving.
  * Don't include (and allocate memory for) the sendbuf and recvbuf wpactrl
    struct members.
  * Fix check of path string length, to make sure we are able to allocate
    enough memory to accommodate it.
  * Don't rely on python's PyArg_ParseTuple() to return length of argument in
    wpactrl_request() method, just use strlen instead.
  * Rename socket object member to ctrl_iface_path.
  * Rename close() object method to detach().
  * If wpactrl_reattach() method fails, allow exception to be raised rather
    than returning false.
  * Rename wpactrl_init() object method to wpactrl_open().

 -- Kel Modderman <kel@otaku42.de>  Mon, 21 Apr 2008 02:59:30 +1000

python-wpactrl (0.8.0-1) unstable; urgency=low

  * Drop recevents method and helper function.
  * Overhaul wpactrl_init, doing paranoid chanking that every allocation of
    memory and so on is completed.
  * free() send and recv buffers in wpactrl_close() to ensure we do not leak
    memory should we choose to reattach().

 -- Kel Modderman <kel@otaku42.de>  Fri, 18 Apr 2008 22:52:54 +1000

python-wpactrl (0.7.1-1) unstable; urgency=low

  * More code cleanups, rename wpactrlError to wpactrl_error for consistency.
  * Shorten the version defines.
  * Add wpactrl_members structure to provide access to path attribute of
    wpactrl instances.
  * Rename the path attribute to socket. Remove socket wpactrl method.
  * Check if bss command returned a string starting with bssid rather than
    testing string length, it could return UNKNOWN COMMAND or FAILED.
  * Rename events method to recvevents, to be more descriptive about expected
    action.
  * Numerous trivial code beautifications.
  * Bugfix output of example.py.
  * Include a changelog in the tarball generated by "upstream-release".

